package domain

type AlibabaHmMarketingCouponSendmaCommonActivityParam struct {
	/*
	   五道口优惠券活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家优惠券活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaHmMarketingCouponSendmaCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingCouponSendmaCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingCouponSendmaCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingCouponSendmaCommonActivityParam {
	s.OutActId = &v
	return s
}
